Bug 398171 - KDE Screensaver does not start automatically
KDE Screensaver does not start automatically
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-25 01:54 EST by Brandon Barker
Modified: 2014-12-01 09:37 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:28:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brandon Barker 2007-11-25 01:54:32 EST
Description of problem:
I can start the screensaver by manually selecting lock screen, but the
screensaver won't start despite the options being set it to start (for example)
after 10 minutes of inactivity.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Log in to KDE
2.Right click on Desktop -> Configure Desktop->Screensaver, have it
automatically start after X minutes.
3.  Wait X+1 minutes.
  
Actual results:
Screensaver doesn't start.

Expected results:
Screensaver should start.

Additional info:
Comment 1 Rex Dieter 2007-11-25 08:27:46 EST
KDE Screensaver definitely works on all my boxes.

Any Additional details about your machine/setup/configuration would be helpful.
Comment 2 Lukáš Tinkl 2007-12-06 11:04:57 EST
Looks like you are running some background process that somehow blocks 
starting the screensaver.
Can you post the results of the following:

dcop kdesktop KScreensaverIface isEnabled

and then after the time when screensaver should start:

dcop kdesktop KScreensaverIface isBlanked
Comment 3 Martin Zeigler 2007-12-16 13:56:46 EST
I have this same problem.  I set my configuration to start after 1 minute.  I
can start the screen saver manually also, but it never automatically starts. 
Please let me know if I can provide any more information.

before screen saver should start:
[zeigler@linux64 ~]$ dcop kdesktop KScreensaverIface isEnabled
true

After 1.5 minutes have elapsed:
[zeigler@linux64 ~]$ dcop kdesktop KScreensaverIface isBlanked
false
Comment 4 Pasi Sjöholm 2008-01-22 11:42:55 EST
I also have the same problem.. and it showed up about ~week ago. Before that
everything was working ok. :(
Comment 5 Rex Dieter 2008-05-31 13:24:39 EDT
For folks experiencing this, what video hw/driver are you using?
Comment 6 Rex Dieter 2008-05-31 17:31:30 EDT
In the meantime, this is probably something to get upstream involved with, and
report to them at bugs.kde.org.

I have no idea why/how this affects some folks, and not others.  Neither I, nor
any other fedora kde-sig'er (afaik) can reproduce this.
Comment 7 Martin Zeigler 2008-06-01 18:44:57 EDT
I no longer have this problem.  Whenever you upgraded to the next version of KDE
this last time (KDE-3.5.9 I believe), it fixed my problem.
Comment 8 Rex Dieter 2008-06-01 19:09:27 EDT
Brandon, how about you?
Comment 9 Bug Zapper 2008-11-26 03:40:41 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-01-09 02:28:50 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.